at.chipkarte.client.aum.soap.constants

## Class AumExceptionConstants

- Object
- - at.chipkarte.client.aum.soap.constants.AumExceptionConstants

-     public class AumExceptionConstants
      extends Object

  Fachliche Fehlerkonstanten des elektronischen Arbeitsunfähigkeitsmeldungsservice (AUM).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACCESS_NOT_ALLOWED` Auf diese Meldung kann nicht zugegriffen werden, weil sie von einem anderen Vertragspartner angelegt wurde.
    `static int` | `ALLE_SVT_INVALID` Für nicht zu prüfende Meldungen darf nicht AL ("alle KVTs") gewählt werden.
    `static int` | `ANSPRUCH_EXISTS` Die Meldung kann nicht "ohne Anspruchsprüfung" oder für EKVK-Patienten erstellt werden, da der Patient für AUM gültige Ansprüche hat oder die ÖGK in diesem Bundesland nicht an AUM teilnimmt.
    `static int` | `AU_BIS_VOR_AU_VON` Das Datum von ArbeitsunfaehigVon muss kleiner oder gleich dem Datum von ArbeitsunfaehigBis (Letzter Tag der AU) sein.
    `static int` | `AUSGEH_BIS1_VOR_VON` Der Wert für AbweichendeAusgehzeitVon1 muss kleiner sein als der Wert für AbweichendeAusgehzeitBis1.
    `static int` | `AUSGEH_BIS2_VOR_VON` Der Wert für AbweichendeAusgehzeitVon2 muss kleiner sein als der Wert für AbweichendeAusgehzeitBis2.
    `static int` | `AUSSTELLUNGSDATUM_BIS_VOR_VON` Der Wert von ErstellungBis muss größer oder gleich dem Wert von ErstellungAb sein.
    `static int` | `BVA_BEAMTER` Der Patient hat nur Ansprüche bei der BVAEB-OEB und gehört zur Versichertenkategorie B (Beamter).
    `static int` | `DIAGNOSE_XOR_DIAGNOSECODE_REQUIRED` Wenn das Feld Diagnose gesetzt ist, dürfen nicht gleichzeitig die Felder DiagnoseCode und/oder DiagnoseCodetyp gesetzt sein.
    `static int` | `EKVK_FORBIDDEN` Für nicht zu prüfende Meldungen dürfen die Felder EkvkNummer und EkvkTraeger nicht gesetzt sein.
    `static int` | `EKVK_XOR_SV_NUMMER` Wenn das Feld EkvkNummer gesetzt ist, darf die SV-Nummer nicht angegeben sein.
    `static int` | `ID_STORNIERT` Auf diese Meldung kann nicht mehr zugegriffen werden, weil sie mittlerweile storniert wurde.
    `static int` | `INTERNAL_ERROR` Es ist ein unerwarteter Fehler aufgetreten.
    `static int` | `INVALID_FOR_AF` Diese Meldung ist eine reine AF-Meldung, die Funktion auEndeBearbeiten() darf nicht auf sie angewendet werden.
    `static int` | `KH_BIS_VOR_KH_VON` Das Datum von KrankenhausaufenthaltBis muss größer oder gleich dem Datum von KrankenhausaufenthaltVon sein.
    `static int` | `KH_BIS_WITHOUT_VON` Wenn eines der Felder KrankenhausaufenthaltBis oder KrankenhausaufenthaltVon gesetzt ist, müssen beide gesetzt sein.
    `static int` | `KVT_MODIFICATION_NOT_ALLOWED` Der KVT darf für diese Meldung nicht verändert werden.
    `static int` | `MELDUNG_EXPIRED` Diese Meldung ist bereits abgelaufen und kann daher nicht mehr verändert oder storniert werden.
    `static int` | `MELDUNG_NOT_AKTUELL` Die Meldung kann nicht geändert oder gelöscht werden, weil sie inzwischen geändert wurde.
    `static int` | `MELDUNG_NOT_FOUND` Die gesuchte Meldung existiert nicht im e-card-System.
    `static int` | `MUST_NOT_DELETE_AU_BIS` Das Datum ArbeitsunfaehigBis (Letzter Tag der AU) darf nicht gelöscht werden.
    `static int` | `NEED_BOTH_AUSGANG1` Wenn eines der Felder AbweichendeAusgehzeitVon1 oder AbweichendeAusgehzeitBis1 gesetzt ist, müssen beide gesetzt sein.
    `static int` | `NEED_BOTH_AUSGANG2` Wenn eines der Felder AbweichendeAusgehzeitVon2 oder AbweichendeAusgehzeitBis2 gesetzt ist, müssen beide gesetzt sein.
    `static int` | `NO_ANSPRUCH` Der Patient hat keinen für das elektronische Arbeitsunfähigkeitsmeldungsservice gültigen Versicherungsanspruch.
    `static int` | `NO_ANSPRUCH_SVT` Der Patient hat beim angegebenen KVT keinen für das elektronische Arbeitsunfähigkeitsmeldungsservice gültigen Anspruch, aber bei einem oder mehreren anderen.
    `static int` | `NO_AUM_SVT` Der Patient hat nur Ansprüche bei KVTs, die nicht an der elektronischen Arbeitsunfähigkeitsmeldung teilnehmen.
    `static int` | `NO_VPANSPRUCH_FOR_SVT` Die Meldung kann nicht an die ausgewählten KVTs geschickt werden, da Sie mit dem KVT keinen gültigen Vertrag haben.
    `static int` | `ONLY_ABGELEITETER_ANSPRUCH` Der Patient hat nur abgeleitete Ansprüche.
    `static int` | `OPEN_MELDUNG_EXISTS` Es existiert bereits eine offene Meldung mit der angegebenen SV-Nummer für den angegebenen KVT.
    `static int` | `PERSON_DATA_FORBIDDEN` Für Meldungen, die geprüft werden müssen, dürfen die Felder Vorname, Zuname und Geburtsdatum nicht angegeben werden.
    `static int` | `PERSON_DATA_INCONSISTENT` Wenn die SV-Nummer angegeben ist, dürfen Vorname, Zuname und Geburtsdatum nicht gesetzt sein.
    `static int` | `QUASA_ONLY` Der Patient hat nur Ansprüche, die für qualifizierte Sachleistung S2 berechtigen und für die elektronische Arbeitsunfähigkeitsmeldung ungültig sind.
    `static int` | `SV_NUMMER_NOT_EXISTS` Die SV-Nummer existiert nicht.
    `static int` | `SV_NUMMERS_DIFFERENT` Die SV-Nummer der Karte ist ungleich der angegebenen SV-Nummer.
    `static int` | `SVNR_OR_GEBURTSDATUM` Wenn die SV-Nummer angegeben ist, darf das Feld Geburtsdatum nicht gesetzt sein.
    `static int` | `SVNR_OR_NACHNAME` Wenn die SV-Nummer angegeben ist, darf das Feld Zuname nicht gesetzt sein.
    `static int` | `SVNR_OR_VORNAME` Wenn die SV-Nummer angegeben ist, darf das Feld Vorname nicht gesetzt sein.
    `static int` | `VORAUSS_ENDE_AU_VOR_AU_VON` Das Datum von ArbeitsunfaehigVon muss kleiner oder gleich dem Datum von VoraussichtlichArbeitsunfaehigBis sein.
    `static int` | `WIEDERBESTELLT_VOR_AU_VON` Das Datum von Wiederbestellung muss größer oder gleich dem Datum von ArbeitsunfaehigVon sein.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AumExceptionConstants()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_ANSPRUCH

          public static final int NO_ANSPRUCH

      Der Patient hat keinen für das elektronische Arbeitsunfähigkeitsmeldungsservice gültigen Versicherungsanspruch.
      ORCLI-Code: ZS-03001
      See Also:
        Constant Field Values

    - #### NO_ANSPRUCH_SVT

          public static final int NO_ANSPRUCH_SVT

      Der Patient hat beim angegebenen KVT keinen für das elektronische Arbeitsunfähigkeitsmeldungsservice gültigen Anspruch, aber bei einem oder mehreren anderen.
      ORCLI-Code: ZS-03003
      See Also:
        Constant Field Values

    - #### ONLY_ABGELEITETER_ANSPRUCH

          public static final int ONLY_ABGELEITETER_ANSPRUCH

      Der Patient hat nur abgeleitete Ansprüche.
      ORCLI-Code: ZS-03002
      See Also:
        Constant Field Values

    - #### ACCESS_NOT_ALLOWED

          public static final int ACCESS_NOT_ALLOWED

      Auf diese Meldung kann nicht zugegriffen werden, weil sie von einem anderen Vertragspartner angelegt wurde. Sie haben nicht die Berechtigung, die Meldung anzusehen, weil sie von einem anderen Benutzer angelegt wurde.
      ORCLI-Code: ZS-03013 / ZS-03034
      See Also:
        Constant Field Values

    - #### MELDUNG_NOT_AKTUELL

          public static final int MELDUNG_NOT_AKTUELL

      Die Meldung kann nicht geändert oder gelöscht werden, weil sie inzwischen geändert wurde. Bitte aktualisieren Sie Ihren Datenbestand.
      ORLCI-Code: ZS-03011
      See Also:
        Constant Field Values

    - #### ID_STORNIERT

          public static final int ID_STORNIERT

      Auf diese Meldung kann nicht mehr zugegriffen werden, weil sie mittlerweile storniert wurde.
      ORCLI-Code: ZS-03010
      See Also:
        Constant Field Values

    - #### SVNR_OR_VORNAME

          public static final int SVNR_OR_VORNAME

      Wenn die SV-Nummer angegeben ist, darf das Feld Vorname nicht gesetzt sein.
      ORCLI-Code: CL-03046
      See Also:
        Constant Field Values

    - #### SVNR_OR_NACHNAME

          public static final int SVNR_OR_NACHNAME

      Wenn die SV-Nummer angegeben ist, darf das Feld Zuname nicht gesetzt sein.
      ORCLI-Code: CL-03047
      See Also:
        Constant Field Values

    - #### SVNR_OR_GEBURTSDATUM

          public static final int SVNR_OR_GEBURTSDATUM

      Wenn die SV-Nummer angegeben ist, darf das Feld Geburtsdatum nicht gesetzt sein.
      ORCLI-Code: CL-03053
      See Also:
        Constant Field Values

    - #### AU_BIS_VOR_AU_VON

          public static final int AU_BIS_VOR_AU_VON

      Das Datum von ArbeitsunfaehigVon muss kleiner oder gleich dem Datum von ArbeitsunfaehigBis (Letzter Tag der AU) sein.
      ORCLI-Code: CL-03014 / ZS-03037
      See Also:
        Constant Field Values

    - #### VORAUSS_ENDE_AU_VOR_AU_VON

          public static final int VORAUSS_ENDE_AU_VOR_AU_VON

      Das Datum von ArbeitsunfaehigVon muss kleiner oder gleich dem Datum von VoraussichtlichArbeitsunfaehigBis sein.
      ORCLI-Code: CL-03015
      See Also:
        Constant Field Values

    - #### KH_BIS_VOR_KH_VON

          public static final int KH_BIS_VOR_KH_VON

      Das Datum von KrankenhausaufenthaltBis muss größer oder gleich dem Datum von KrankenhausaufenthaltVon sein.
      ORCLI-Code: CL-03019
      See Also:
        Constant Field Values

    - #### DIAGNOSE_XOR_DIAGNOSECODE_REQUIRED

          public static final int DIAGNOSE_XOR_DIAGNOSECODE_REQUIRED

      Wenn das Feld Diagnose gesetzt ist, dürfen nicht gleichzeitig die Felder DiagnoseCode und/oder DiagnoseCodetyp gesetzt sein.
      ORCLI-Code: CL-03020
      See Also:
        Constant Field Values

    - #### EKVK_XOR_SV_NUMMER

          public static final int EKVK_XOR_SV_NUMMER

      Wenn das Feld EkvkNummer gesetzt ist, darf die SV-Nummer nicht angegeben sein.
      ORCLI-Code: CL-03034
      See Also:
        Constant Field Values

    - #### SV_NUMMER_NOT_EXISTS

          public static final int SV_NUMMER_NOT_EXISTS

      Die SV-Nummer existiert nicht.
      ORCLI-Code: ZS-03008
      See Also:
        Constant Field Values

    - #### MELDUNG_NOT_FOUND

          public static final int MELDUNG_NOT_FOUND

      Die gesuchte Meldung existiert nicht im e-card-System. Möglicherweise wurde sie wegen Zeitablauf gelöscht.
      ORCLI-Code: ZS-03012
      See Also:
        Constant Field Values

    - #### AUSGEH_BIS1_VOR_VON

          public static final int AUSGEH_BIS1_VOR_VON

      Der Wert für AbweichendeAusgehzeitVon1 muss kleiner sein als der Wert für AbweichendeAusgehzeitBis1.
      OCLI-Code: CL-03025
      See Also:
        Constant Field Values

    - #### AUSGEH_BIS2_VOR_VON

          public static final int AUSGEH_BIS2_VOR_VON

      Der Wert für AbweichendeAusgehzeitVon2 muss kleiner sein als der Wert für AbweichendeAusgehzeitBis2.
      OCLI-Code: CL-03028
      See Also:
        Constant Field Values

    - #### AUSSTELLUNGSDATUM_BIS_VOR_VON

          public static final int AUSSTELLUNGSDATUM_BIS_VOR_VON

      Der Wert von ErstellungBis muss größer oder gleich dem Wert von ErstellungAb sein.
      ORCLI-Code: CL-03045
      See Also:
        Constant Field Values

    - #### NO_VPANSPRUCH_FOR_SVT

          public static final int NO_VPANSPRUCH_FOR_SVT

      Die Meldung kann nicht an die ausgewählten KVTs geschickt werden, da Sie mit dem KVT keinen gültigen Vertrag haben.
      ORCLI-Code: ZS-03019
      See Also:
        Constant Field Values

    - #### NO_AUM_SVT

          public static final int NO_AUM_SVT

      Der Patient hat nur Ansprüche bei KVTs, die nicht an der elektronischen Arbeitsunfähigkeitsmeldung teilnehmen.
      ORCLI-Code: ZS-03021
      See Also:
        Constant Field Values

    - #### NEED_BOTH_AUSGANG1

          public static final int NEED_BOTH_AUSGANG1

      Wenn eines der Felder AbweichendeAusgehzeitVon1 oder AbweichendeAusgehzeitBis1 gesetzt ist, müssen beide gesetzt sein.
      ORCLI-Code: CL-03070
      See Also:
        Constant Field Values

    - #### NEED_BOTH_AUSGANG2

          public static final int NEED_BOTH_AUSGANG2

      Wenn eines der Felder AbweichendeAusgehzeitVon2 oder AbweichendeAusgehzeitBis2 gesetzt ist, müssen beide gesetzt sein.
      ORCLI-Code: CL-03071
      See Also:
        Constant Field Values

    - #### KH_BIS_WITHOUT_VON

          public static final int KH_BIS_WITHOUT_VON

      Wenn eines der Felder KrankenhausaufenthaltBis oder KrankenhausaufenthaltVon gesetzt ist, müssen beide gesetzt sein.
      ORCLI-Code: CL-03018
      See Also:
        Constant Field Values

    - #### WIEDERBESTELLT_VOR_AU_VON

          public static final int WIEDERBESTELLT_VOR_AU_VON

      Das Datum von Wiederbestellung muss größer oder gleich dem Datum von ArbeitsunfaehigVon sein.
      ORCLI-Code: CL-03035
      See Also:
        Constant Field Values

    - #### INTERNAL_ERROR

          public static final int INTERNAL_ERROR

      Es ist ein unerwarteter Fehler aufgetreten.
      ORCLI-Code: CL-S0012
      See Also:
        Constant Field Values

    - #### PERSON_DATA_INCONSISTENT

          public static final int PERSON_DATA_INCONSISTENT

      Wenn die SV-Nummer angegeben ist, dürfen Vorname, Zuname und Geburtsdatum nicht gesetzt sein.
      ORCLI-Code: CL-03051
      See Also:
        Constant Field Values

    - #### PERSON_DATA_FORBIDDEN

          public static final int PERSON_DATA_FORBIDDEN

      Für Meldungen, die geprüft werden müssen, dürfen die Felder Vorname, Zuname und Geburtsdatum nicht angegeben werden.
      ORCLI-Code: CL-03054
      See Also:
        Constant Field Values

    - #### EKVK_FORBIDDEN

          public static final int EKVK_FORBIDDEN

      Für nicht zu prüfende Meldungen dürfen die Felder EkvkNummer und EkvkTraeger nicht gesetzt sein.
      ORCLI-Code: CL-03055
      See Also:
        Constant Field Values

    - #### ALLE_SVT_INVALID

          public static final int ALLE_SVT_INVALID

      Für nicht zu prüfende Meldungen darf nicht AL ("alle KVTs") gewählt werden.
      ORCLI-Code: CL-03056
      See Also:
        Constant Field Values

    - #### KVT_MODIFICATION_NOT_ALLOWED

          public static final int KVT_MODIFICATION_NOT_ALLOWED

      Der KVT darf für diese Meldung nicht verändert werden.
      ORCLI-Code: ZS-03006
      See Also:
        Constant Field Values

    - #### QUASA_ONLY

          public static final int QUASA_ONLY

      Der Patient hat nur Ansprüche, die für qualifizierte Sachleistung S2 berechtigen und für die elektronische Arbeitsunfähigkeitsmeldung ungültig sind.
      ORCLI-Code: ZS-03024
      See Also:
        Constant Field Values

    - #### BVA_BEAMTER

          public static final int BVA_BEAMTER

      Der Patient hat nur Ansprüche bei der BVAEB-OEB und gehört zur Versichertenkategorie B (Beamter). Deshalb kann keine Arbeitsunfähigkeitsmeldung für ihn angelegt werden.
      ORCLI-Code: ZS-03026
      See Also:
        Constant Field Values

    - #### ANSPRUCH_EXISTS

          public static final int ANSPRUCH_EXISTS

      Die Meldung kann nicht "ohne Anspruchsprüfung" oder für EKVK-Patienten erstellt werden, da der Patient für AUM gültige Ansprüche hat oder die ÖGK in diesem Bundesland nicht an AUM teilnimmt.
      ORCLI-Code: ZS-03027
      See Also:
        Constant Field Values

    - #### SV_NUMMERS_DIFFERENT

          public static final int SV_NUMMERS_DIFFERENT

      Die SV-Nummer der Karte ist ungleich der angegebenen SV-Nummer. Bitte überprüfen Sie die gesteckte Karte.
      ORCLI-Code: ZS-03055
      See Also:
        Constant Field Values

    - #### OPEN_MELDUNG_EXISTS

          public static final int OPEN_MELDUNG_EXISTS

      Es existiert bereits eine offene Meldung mit der angegebenen SV-Nummer für den angegebenen KVT.
      ORCLI-Code: ZS-03052
      See Also:
        Constant Field Values

    - #### MUST_NOT_DELETE_AU_BIS

          public static final int MUST_NOT_DELETE_AU_BIS

      Das Datum ArbeitsunfaehigBis (Letzter Tag der AU) darf nicht gelöscht werden.
      ORCLI-Code: ZS-03060
      See Also:
        Constant Field Values

    - #### INVALID_FOR_AF

          public static final int INVALID_FOR_AF

      Diese Meldung ist eine reine AF-Meldung, die Funktion auEndeBearbeiten() darf nicht auf sie angewendet werden.
      ORCLI-Code: ZS-03061
      See Also:
        Constant Field Values

    - #### MELDUNG_EXPIRED

          public static final int MELDUNG_EXPIRED

      Diese Meldung ist bereits abgelaufen und kann daher nicht mehr verändert oder storniert werden.
      ORCLI-Code: ZS-03062
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AumExceptionConstants

          public AumExceptionConstants()